org.richfaces.component

## Class UITree

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.AbstractTree
        - - org.richfaces.component.UITree

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, TreeSelectionChangeSource, TreeToggleSource, org.richfaces.ui.common.meta.MetaComponentEncoder, org.richfaces.ui.common.meta.MetaComponentResolver, org.richfaces.ui.iteration.IterationStateHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UITree
      extends AbstractTree
      implements javax.faces.component.behavior.ClientBehaviorHolder, TreeSelectionChangeSource, TreeToggleSource, org.richfaces.ui.common.meta.MetaComponentEncoder, org.richfaces.ui.common.meta.MetaComponentResolver

  The <rich:tree> component provides a hierarchical tree control. Each <rich:tree> component typically consists of <rich:treeNode> child components. The appearance and behavior of the tree and its nodes can be fully customized.

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITree.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `org.richfaces.component.UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTree

      `DEFAULT_TREE_NODE_FACET_NAME, DEFAULT_TREE_NODE_ID, SELECTION_META_COMPONENT_ID`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITree()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()`
    `String` | `getFamily()`
    `String` | `getHandleClass()`
    `String` | `getIconClass()`
    `String` | `getIconCollapsed()`
    `String` | `getIconExpanded()`
    `String` | `getIconLeaf()`
    `String` | `getLabelClass()`
    `String` | `getLang()`
    `String` | `getNodeClass()`
    `String` | `getNodeType()`
    `String` | `getOnbeforedomupdate()`
    `String` | `getOnbeforenodetoggle()`
    `String` | `getOnbeforeselectionchange()`
    `String` | `getOnbegin()`
    `String` | `getOnclick()`
    `String` | `getOncomplete()`
    `String` | `getOndblclick()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getOnnodetoggle()`
    `String` | `getOnselectionchange()`
    `Object` | `getRender()`
    `org.richfaces.component.SwitchType` | `getSelectionType()`
    `String` | `getStatus()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `String` | `getToggleNodeEvent()`
    `org.richfaces.component.SwitchType` | `getToggleType()`
    `Object` | `getValue()`
    `boolean` | `isImmediate()`
    `boolean` | `isLimitRender()`
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setExecute(Object execute)`
    `void` | `setHandleClass(String handleClass)`
    `void` | `setIconClass(String iconClass)`
    `void` | `setIconCollapsed(String iconCollapsed)`
    `void` | `setIconExpanded(String iconExpanded)`
    `void` | `setIconLeaf(String iconLeaf)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setLabelClass(String labelClass)`
    `void` | `setLang(String lang)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setNodeClass(String nodeClass)`
    `void` | `setNodeType(String nodeType)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbeforenodetoggle(String onbeforenodetoggle)`
    `void` | `setOnbeforeselectionchange(String onbeforeselectionchange)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnnodetoggle(String onnodetoggle)`
    `void` | `setOnselectionchange(String onselectionchange)`
    `void` | `setRender(Object render)`
    `void` | `setSelectionType(org.richfaces.component.SwitchType selectionType)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setToggleNodeEvent(String toggleNodeEvent)`
    `void` | `setToggleType(org.richfaces.component.SwitchType toggleType)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractTree

      `addTreeSelectionChangeListener, addTreeToggleListener, broadcast, convertDeclarativeKeyFromString, convertDeclarativeKeyToString, createComponentState, createExtendedDataModel, createSnapshot, dataChildren, encodeMetaComponent, findDeclarativeModel, findMatchingTreeNodeComponent, findTreeNodeComponent, getRowKeyConverter, getSelection, getTreeDataModel, getTreeRange, getTreeSelectionChangeListeners, getTreeToggleListeners, isExpanded, isLeaf, removeTreeSelectionChangeListener, removeTreeToggleListener, resetDataModel, resolveClientId, restoreChildState, restoreFromSnapshot, setSelection, setupCurrentComponent, substituteUnresolvedClientId, visitFixedChildren, walk, walkModel`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, captureOrigValue, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preEncodeBegin, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, restoreChildState, restoreOrigValue, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValueExpression, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitTree, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.event.TreeSelectionChangeSource

      `addTreeSelectionChangeListener, removeTreeSelectionChangeListener`

    - ### Methods inherited from interface org.richfaces.event.TreeToggleSource

      `addTreeToggleListener, removeTreeToggleListener`

    - ### Methods inherited from interface org.richfaces.ui.common.meta.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITree

          public UITree()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTree`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getData

          public Object getData()

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

    - #### setDir

          public void setDir(String dir)

    - #### getExecute

          public Object getExecute()

    - #### setExecute

          public void setExecute(Object execute)

    - #### getHandleClass

          public String getHandleClass()

    - #### setHandleClass

          public void setHandleClass(String handleClass)

    - #### getIconClass

          public String getIconClass()

    - #### setIconClass

          public void setIconClass(String iconClass)

    - #### getIconCollapsed

          public String getIconCollapsed()

    - #### setIconCollapsed

          public void setIconCollapsed(String iconCollapsed)

    - #### getIconExpanded

          public String getIconExpanded()

    - #### setIconExpanded

          public void setIconExpanded(String iconExpanded)

    - #### getIconLeaf

          public String getIconLeaf()

    - #### setIconLeaf

          public void setIconLeaf(String iconLeaf)

    - #### isImmediate

          public boolean isImmediate()

      Specified by:
        `isImmediate` in class `AbstractTree`

    - #### setImmediate

          public void setImmediate(boolean immediate)

    - #### getLabelClass

          public String getLabelClass()

    - #### setLabelClass

          public void setLabelClass(String labelClass)

    - #### getLang

          public String getLang()

    - #### setLang

          public void setLang(String lang)

    - #### isLimitRender

          public boolean isLimitRender()

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getNodeClass

          public String getNodeClass()

      Specified by:
        `getNodeClass` in class `AbstractTree`

    - #### setNodeClass

          public void setNodeClass(String nodeClass)

    - #### getNodeType

          public String getNodeType()

      Specified by:
        `getNodeType` in class `AbstractTree`

    - #### setNodeType

          public void setNodeType(String nodeType)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbeforenodetoggle

          public String getOnbeforenodetoggle()

      Specified by:
        `getOnbeforenodetoggle` in class `AbstractTree`

    - #### setOnbeforenodetoggle

          public void setOnbeforenodetoggle(String onbeforenodetoggle)

    - #### getOnbeforeselectionchange

          public String getOnbeforeselectionchange()

      Specified by:
        `getOnbeforeselectionchange` in class `AbstractTree`

    - #### setOnbeforeselectionchange

          public void setOnbeforeselectionchange(String onbeforeselectionchange)

    - #### getOnbegin

          public String getOnbegin()

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclick

          public String getOnclick()

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnnodetoggle

          public String getOnnodetoggle()

      Specified by:
        `getOnnodetoggle` in class `AbstractTree`

    - #### setOnnodetoggle

          public void setOnnodetoggle(String onnodetoggle)

    - #### getOnselectionchange

          public String getOnselectionchange()

      Specified by:
        `getOnselectionchange` in class `AbstractTree`

    - #### setOnselectionchange

          public void setOnselectionchange(String onselectionchange)

    - #### getRender

          public Object getRender()

    - #### setRender

          public void setRender(Object render)

    - #### getSelectionType

          public org.richfaces.component.SwitchType getSelectionType()

      Specified by:
        `getSelectionType` in class `AbstractTree`

    - #### setSelectionType

          public void setSelectionType(org.richfaces.component.SwitchType selectionType)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getToggleNodeEvent

          public String getToggleNodeEvent()

      Specified by:
        `getToggleNodeEvent` in class `AbstractTree`

    - #### setToggleNodeEvent

          public void setToggleNodeEvent(String toggleNodeEvent)

    - #### getToggleType

          public org.richfaces.component.SwitchType getToggleType()

      Specified by:
        `getToggleType` in class `AbstractTree`

    - #### setToggleType

          public void setToggleType(org.richfaces.component.SwitchType toggleType)

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in class `AbstractTree`

    - #### setValue

          public void setValue(Object value)

Copyright © 2014 JBoss by Red Hat. All rights reserved.